Broadcast Music Schedule

Create music schedule slot

POST
https://api.tunio.ai/v1/broadcast-music-schedule/slot

Adds a playlist to the stream music schedule

请求体

Create schedule slot request

名称类型说明
duration_minRequiredinteger
DurationMin is the schedule duration in minutes.
forceboolean
Force replaces conflicting schedules when true.
playlist_idRequiredstring
Playlist is the UUID of the playlist to schedule.
start_atRequiredstring
StartAt is the start datetime in RFC3339 format.
stream_idRequiredstring
Stream is the UUID of the target stream.
volumenumber
Volume is master volume for slot in range 0..1 (default 1.0).
请求示例
01{
02 "duration_min": 0,
03 "force": true,
04 "playlist_id": "string",
05 "start_at": "string",
06 "stream_id": "string",
07 "volume": 0
08}

响应

名称类型说明
slot_idstring
UUID is the created schedule identifier.
successboolean
Success indicates if schedule was created.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.